apiVersion: apps/v1
kind: Deployment
metadata:
  name: celery
  labels:
    deployment: celery
spec:
  selector:
    matchLabels:
      pod: celery
  replicas: 1
  template:
    metadata:
      labels:
        pod: celery
    spec:
      containers:
        - name: celery-container
          image: tangibleai/delvin:latest
          imagePullPolicy: Always
          resources:
            requests:
              cpu: 100m
              memory: 100Mi
            limits:
              cpu: 500m
              memory: 500Mi
          command: [ "/bin/bash" ]
          args: ["-c", "source /opt/venv/bin/activate && /app/backend/scripts/start_celery.sh"]
          envFrom:
            - secretRef:
                name: delvin-dotenv
